DeepCodes

DeepCodes

LeetCode solutions with straightforward explanations and examples after the contest ends. Subscribe to the channel if you like my style of explaining.

About Me: Working as Associate Software Engineer.

Пікірлер

  • @VoltVipin_VS
    @VoltVipin_VSКүн бұрын

    For those who didn't understand the intuition behind this solution. Imagine 2 supports s1 and s2. s1 starts from 0 and s2 starts from sum of array. Now each rod will have 3 choice 1. Add to S1 2. Add to S2 3. Remove from S2. Notice the third choice is removing from s2 not adding into Null Set. So comparing with the solution provided in the video. op1 is Choice 1 op2 is Choice 3 op3 is Choice 2, as rod is already added into s2 thats why no change. In recursive solution op3 is Choice of adding rod into a null set. which is different in memoized answer.

  • @relaxingnaturalvibrations1171
    @relaxingnaturalvibrations117119 күн бұрын

    How it will pass all the test cases ?. It will give tle for sure. You are traversing some tree in every dfs call and you are saying it is o(n)?

  • @TejasviPatoliya-rm7qv
    @TejasviPatoliya-rm7qv27 күн бұрын

    hello 10:48 video me aapne run kiya vo kese kiya?

  • @shreyansharya6125
    @shreyansharya6125Ай бұрын

    Nice Explanation !

  • @atharvasuryawanshi7675
    @atharvasuryawanshi7675Ай бұрын

    I think question is fairly simple, language is also easy to understand

  • @vinamrasangal8436
    @vinamrasangal8436Ай бұрын

    GIVING TLE

  • @luis_escobar..
    @luis_escobar..Ай бұрын

    Sometime it cant able to solve palindrome questions

  • @lakshsinghania
    @lakshsinghaniaАй бұрын

    @15:59 how can the min heap have <7,2> it should be <1,9> right ? we first popped <1,2> and then inserted {i,j+1} thats <1,9> and its lesser than <7,2> someone pls make me understand

  • @shahainmanujith2109
    @shahainmanujith21092 ай бұрын

    Very good explanation :)

  • @Soundar-su5ju
    @Soundar-su5ju2 ай бұрын

    Nice explanation

  • @codelasagna875
    @codelasagna8752 ай бұрын

    How to install axioms?

  • @starboy-lc9mp
    @starboy-lc9mp2 ай бұрын

    great explanatiob bro

  • @anandoganiya9070
    @anandoganiya90703 ай бұрын

    Bro can you provide the brute force solution for this in java if possible or c++ will be fine

  • @ZohaibKhan-vj3tg
    @ZohaibKhan-vj3tg3 ай бұрын

    good explanation

  • @user-rv1bx8hx4v
    @user-rv1bx8hx4v3 ай бұрын

    Thank you! Great explanation

  • @trilochankankatala1687
    @trilochankankatala16873 ай бұрын

    I didn’t find anywhere this way solution. Thank you so much

  • @vikassinghbisht7305
    @vikassinghbisht73054 ай бұрын

    this is O(nlogn) solution but we can do this with o(n) time complexity

  • @rrr9848
    @rrr98484 ай бұрын

    Thank you sir 🎉

  • @iamnoob7593
    @iamnoob75934 ай бұрын

    Brilliant explanation

  • @user-hr9eg6is4q
    @user-hr9eg6is4q4 ай бұрын

    Hello can you create a video on how to connect the node application with

  • @apputadhiyal9451
    @apputadhiyal94515 ай бұрын

    Thanks for the video , nicely explained.

  • @Believeharsh
    @Believeharsh5 ай бұрын

    I really appreciate the hard work you have put into this video. Thanks for making this video.

  • @codelasagna875
    @codelasagna8752 ай бұрын

    How to create the link for api, like he used london and generated the API key

  • @cricketsureshlucky
    @cricketsureshlucky5 ай бұрын

    it really helped a lot thankyou😊😊

  • @sarvagyasingh924
    @sarvagyasingh9245 ай бұрын

    will this work on negative numbers ?

  • @pushpalatha16
    @pushpalatha165 ай бұрын

    The explanation was easy to understand, thanks

  • @suneethasuresh9826
    @suneethasuresh98266 ай бұрын

    while swapping, why do we take (2*min) ?

  • @saaishashankkrishnakumar345
    @saaishashankkrishnakumar3456 ай бұрын

    simple and neat solution bro

  • @rohanthakur9159
    @rohanthakur91596 ай бұрын

    The explanation was really awesome. Thanks a lot❤❤❤

  • @Shiwangi-singh
    @Shiwangi-singh6 ай бұрын

    volume is very low

  • @vasumahalingam5162
    @vasumahalingam51626 ай бұрын

    Liked the solution. I made a small improvement with memoization. class Solution: def __init__(self): self.memo = {} def minOperations(self, n: int) -> int: if n in self.memo: return self.memo[n] v = int(math.log(n, 2)) if n == pow(2, v): return 1 low = pow(2, v) high = pow(2, v+1) d1 = n - low d2 = high - n self.memo[n] = 1 + min(self.minOperations(d1) , self.minOperations(d2)) return self.memo[n]

  • @pixelsbyme
    @pixelsbyme7 ай бұрын

    hy your approach is very efficient. But I did not understood the intuition of summing up ALL elements of a diagonal rather than only 2 for each corresponding element of a matrix. Like in the intuition, you explained if both (right and bottom element) sum is greater than 1, then there surely exists a path to dest even after flipping. But whats the logic with summing up ALL diagonal elements?

  • @user-le6ts6ci7h
    @user-le6ts6ci7h7 ай бұрын

    The apprpach 1 won't work, it depends on the order in which you remove the edge

  • @cse100amisha6
    @cse100amisha67 ай бұрын

    Bhaiya can you please suggest me some platform where i can practice question asked in OA

  • @VishalYadav-gk1kg
    @VishalYadav-gk1kg7 ай бұрын

    Thank you sir, Very nice explanation!

  • @md.marufurrahmanremon3095
    @md.marufurrahmanremon30957 ай бұрын

    Could you please explain why you took ans as long?

  • @user-me6zq8wy9i
    @user-me6zq8wy9i8 ай бұрын

    best explanation thanks ! : )

  • @princekhunt13579
    @princekhunt135798 ай бұрын

    Nice explanation

  • @HimanshuDagar-kr7ct
    @HimanshuDagar-kr7ct9 ай бұрын

    What a technique! Just Awesome!

  • @PedroFerreira-kz6mq
    @PedroFerreira-kz6mq9 ай бұрын

    So good solution my friend

  • @schrodingerskatt222
    @schrodingerskatt2229 ай бұрын

    I really didn't understood anything

  • @prajitbanerjee8226
    @prajitbanerjee822610 ай бұрын

    nice bro!!

  • @zeyadalbadawy2245
    @zeyadalbadawy224510 ай бұрын

    bro, I'm so happy with this explaination

  • @zeyadalbadawy2245
    @zeyadalbadawy224510 ай бұрын

    the best explaination i have ever seen

  • @peter9759
    @peter975910 ай бұрын

    Good Explanation Bro everything connects

  • @rohanchoudhary5523
    @rohanchoudhary552311 ай бұрын

    NIce explanation

  • @neaguandrei1
    @neaguandrei111 ай бұрын

    The second if() inside check() should be a XOR not a OR.

  • @aishwaryadwani908
    @aishwaryadwani90811 ай бұрын

    Amazing Video , Thanks !

  • @abhinavraj8868
    @abhinavraj8868 Жыл бұрын

    Why are we returning 1 in case of visited

  • @sunkarwadabhishek6780
    @sunkarwadabhishek6780 Жыл бұрын

    well explained...! if you have Any other quetions related to binary search on answer for practice?

  • @dianamujahed3600
    @dianamujahed3600 Жыл бұрын

    thank you very much